CREATE procedure [C6StagingPeriodico].[RP_ST_AssetClass_20161221]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AssetClass',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_AssetClass
	insert into C6StagingPeriodico.RP_AssetClass
	--select * into C6StagingPeriodico.RP_AssetClass from [CONSEVO].[CatalogoProdotti].dbo.AssetClass
	select * from [CONSEVO].[CatalogoProdotti].dbo.AssetClass
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AssetClass' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AssetClass'
		)
end